>From 20a307e4683e62b033f7662ed4aa2f18dfad6226 Mon Sep 17 00:00:00 2001
From: "Endi S. Dewata" <edewata@redhat.com>
Date: Wed, 12 Apr 2017 05:23:15 +0200
Subject: [PATCH] Reorganized audit event constants for configuration.

Change-Id: Ie05572677de0e8eb1244dc6caf2b4a48514a2542
---
 .../dogtagpki/server/ca/rest/ProfileService.java   |   5 +-
 .../com/netscape/certsrv/logging/AuditEvent.java   |  37 ++++++
 .../src/com/netscape/certsrv/logging/IAuditor.java |   3 -
 .../cms/src/com/netscape/cms/logging/LogFile.java  |  10 +-
 .../com/netscape/cms/logging/RollingLogFile.java   |   8 +-
 .../cms/profile/updater/SubsystemGroupUpdater.java |  14 +--
 .../cms/servlet/admin/ACLAdminServlet.java         |  38 +++----
 .../netscape/cms/servlet/admin/AdminServlet.java   |  10 +-
 .../cms/servlet/admin/AuthAdminServlet.java        |  96 ++++++++--------
 .../netscape/cms/servlet/admin/CAAdminServlet.java |  50 ++++-----
 .../cms/servlet/admin/CMSAdminServlet.java         |  86 +++++++-------
 .../cms/servlet/admin/GroupMemberProcessor.java    |   4 +-
 .../cms/servlet/admin/KRAAdminServlet.java         |   8 +-
 .../cms/servlet/admin/LogAdminServlet.java         | 113 +++++++++----------
 .../cms/servlet/admin/OCSPAdminServlet.java        |  22 ++--
 .../cms/servlet/admin/PolicyAdminServlet.java      |  62 +++++------
 .../cms/servlet/admin/ProfileAdminServlet.java     | 124 ++++++++++-----------
 .../cms/servlet/admin/UsrGrpAdminServlet.java      | 120 ++++++++++----------
 .../com/netscape/cms/servlet/base/CMSServlet.java  |  17 ++-
 .../netscape/cms/servlet/csadmin/RegisterUser.java |  14 +--
 .../servlet/csadmin/SecurityDomainProcessor.java   |   4 +-
 .../cms/servlet/csadmin/UpdateDomainXML.java       |  11 +-
 .../cms/servlet/processors/CAProcessor.java        |  14 +--
 .../org/dogtagpki/server/rest/AuditService.java    |   3 +-
 .../org/dogtagpki/server/rest/GroupService.java    |   4 +-
 .../src/org/dogtagpki/server/rest/UserService.java |   6 +-
 .../src/com/netscape/cmscore/cert/CertUtils.java   |  18 ++-
 .../cmscore/selftests/SelfTestSubsystem.java       |   9 +-
 28 files changed, 445 insertions(+), 465 deletions(-)

diff --git a/base/ca/src/org/dogtagpki/server/ca/rest/ProfileService.java b/base/ca/src/org/dogtagpki/server/ca/rest/ProfileService.java
index eae68ef78cd0bebc49267df8fc0e7f45bbb1f509..be6189215a4b160cd62b8d7c96db4f5a32b44f43 100644
--- a/base/ca/src/org/dogtagpki/server/ca/rest/ProfileService.java
+++ b/base/ca/src/org/dogtagpki/server/ca/rest/ProfileService.java
@@ -90,9 +90,6 @@ public class ProfileService extends SubsystemService implements ProfileResource
     private IProfileSubsystem ps = (IProfileSubsystem) CMS.getSubsystem(IProfileSubsystem.ID);
     private IPluginRegistry registry = (IPluginRegistry) CMS.getSubsystem(CMS.SUBSYSTEM_REGISTRY);
 
-    private final static String LOGGING_SIGNED_AUDIT_CONFIG_CERT_PROFILE =
-            "LOGGING_SIGNED_AUDIT_CONFIG_CERT_PROFILE_3";
-
     @Override
     public Response listProfiles(Integer start, Integer size) {
 
@@ -1198,7 +1195,7 @@ public class ProfileService extends SubsystemService implements ProfileResource
 
     public void auditProfileChange(String scope, String type, String id, String status, Map<String, String> params) {
         String msg = CMS.getLogMessage(
-                LOGGING_SIGNED_AUDIT_CONFIG_CERT_PROFILE,
+                AuditEvent.CONFIG_CERT_PROFILE,
                 auditor.getSubjectID(),
                 status,
                 auditor.getParamString(scope, type, id, params));
diff --git a/base/common/src/com/netscape/certsrv/logging/AuditEvent.java b/base/common/src/com/netscape/certsrv/logging/AuditEvent.java
index dc434fa57c5be448dea0e70496506519985e1c08..716e0d4d4d90bab866fca97ed3aac1d40db6f847 100644
--- a/base/common/src/com/netscape/certsrv/logging/AuditEvent.java
+++ b/base/common/src/com/netscape/certsrv/logging/AuditEvent.java
@@ -35,6 +35,43 @@ import com.netscape.certsrv.base.MessageFormatter;
  */
 public class AuditEvent implements IBundleLogEvent {
 
+    public final static String AUDIT_LOG_STARTUP =
+            "LOGGING_SIGNED_AUDIT_AUDIT_LOG_STARTUP_2";
+    public final static String AUDIT_LOG_SHUTDOWN =
+            "LOGGING_SIGNED_AUDIT_AUDIT_LOG_SHUTDOWN_2";
+    public final static String CIMC_CERT_VERIFICATION =
+            "LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION_3";
+    public final static String ROLE_ASSUME =
+            "LOGGING_SIGNED_AUDIT_ROLE_ASSUME_3";
+    public final static String CONFIG_CERT_POLICY =
+            "LOGGING_SIGNED_AUDIT_CONFIG_CERT_POLICY_3";
+    public final static String CONFIG_CERT_PROFILE =
+            "LOGGING_SIGNED_AUDIT_CONFIG_CERT_PROFILE_3";
+    public final static String CONFIG_CRL_PROFILE =
+            "LOGGING_SIGNED_AUDIT_CONFIG_CRL_PROFILE_3";
+    public final static String CONFIG_OCSP_PROFILE =
+            "LOGGING_SIGNED_AUDIT_CONFIG_OCSP_PROFILE_3";
+    public final static String CONFIG_AUTH =
+            "LOGGING_SIGNED_AUDIT_CONFIG_AUTH_3";
+    public final static String CONFIG_ROLE =
+            "LOGGING_SIGNED_AUDIT_CONFIG_ROLE_3";
+    public final static String CONFIG_ACL =
+            "LOGGING_SIGNED_AUDIT_CONFIG_ACL_3";
+    public final static String CONFIG_SIGNED_AUDIT =
+            "LOGGING_SIGNED_AUDIT_CONFIG_SIGNED_AUDIT_3";
+    public final static String CONFIG_ENCRYPTION =
+            "LOGGING_SIGNED_AUDIT_CONFIG_ENCRYPTION_3";
+    public final static String CONFIG_TRUSTED_PUBLIC_KEY =
+            "LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY_3";
+    public final static String CONFIG_DRM =
+            "LOGGING_SIGNED_AUDIT_CONFIG_DRM_3";
+    public final static String SELFTESTS_EXECUTION =
+            "LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION_2";
+    public final static String AUDIT_LOG_DELETE =
+            "LOGGING_SIGNED_AUDIT_LOG_DELETE_3";
+    public final static String LOG_PATH_CHANGE =
+            "LOGGING_SIGNED_AUDIT_LOG_PATH_CHANGE_4";
+
     public final static String PRIVATE_KEY_ARCHIVE_REQUEST =
             "LOGGING_SIGNED_AUDIT_PRIVATE_KEY_ARCHIVE_REQUEST_4";
     public final static String PRIVATE_KEY_ARCHIVE_REQUEST_PROCESSED =
diff --git a/base/common/src/com/netscape/certsrv/logging/IAuditor.java b/base/common/src/com/netscape/certsrv/logging/IAuditor.java
index 1d31a8c2afd585611f06d93674abd8108d08faee..216015fc0ece5111dec4cb3076b4d14b69c133d5 100644
--- a/base/common/src/com/netscape/certsrv/logging/IAuditor.java
+++ b/base/common/src/com/netscape/certsrv/logging/IAuditor.java
@@ -25,9 +25,6 @@ import java.util.Map;
  */
 public interface IAuditor {
 
-    public final static String LOGGING_SIGNED_AUDIT_CONFIG_ROLE =
-            "LOGGING_SIGNED_AUDIT_CONFIG_ROLE_3";
-
     public final static String SIGNED_AUDIT_SCOPE = "Scope";
     public final static String SIGNED_AUDIT_OPERATION = "Operation";
     public final static String SIGNED_AUDIT_RESOURCE = "Resource";
diff --git a/base/server/cms/src/com/netscape/cms/logging/LogFile.java b/base/server/cms/src/com/netscape/cms/logging/LogFile.java
index fdf3f836dbb75e97ca7c71f183cade5b196c76ef..989fece2e78b70c4e6c0b7b789b1d264fcecb219 100644
--- a/base/server/cms/src/com/netscape/cms/logging/LogFile.java
+++ b/base/server/cms/src/com/netscape/cms/logging/LogFile.java
@@ -102,10 +102,6 @@ public class LogFile implements ILogEventListener, IExtendedPluginInfo {
     static final String PROP_BUFFER_SIZE = "bufferSize";
     static final String PROP_FLUSH_INTERVAL = "flushInterval";
 
-    private final static String LOGGING_SIGNED_AUDIT_AUDIT_LOG_STARTUP =
-                               "LOGGING_SIGNED_AUDIT_AUDIT_LOG_STARTUP_2";
-    private final static String LOGGING_SIGNED_AUDIT_AUDIT_LOG_SHUTDOWN =
-                               "LOGGING_SIGNED_AUDIT_AUDIT_LOG_SHUTDOWN_2";
     private final static String LOG_SIGNED_AUDIT_EXCEPTION =
                                "LOG_SIGNED_AUDIT_EXCEPTION_1";
 
@@ -647,12 +643,12 @@ public class LogFile implements ILogEventListener, IExtendedPluginInfo {
             try {
                 setupSigning();
                 audit(CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_AUDIT_LOG_STARTUP,
+                        AuditEvent.AUDIT_LOG_STARTUP,
                         ILogger.SYSTEM_UID,
                         ILogger.SUCCESS));
             } catch (EBaseException e) {
                 audit(CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_AUDIT_LOG_STARTUP,
+                        AuditEvent.AUDIT_LOG_STARTUP,
                         ILogger.SYSTEM_UID,
                         ILogger.FAILURE));
                 throw e;
@@ -872,7 +868,7 @@ public class LogFile implements ILogEventListener, IExtendedPluginInfo {
 
         // log signed audit shutdown success
         auditMessage = CMS.getLogMessage(
-                           LOGGING_SIGNED_AUDIT_AUDIT_LOG_SHUTDOWN,
+                           AuditEvent.AUDIT_LOG_SHUTDOWN,
                            ILogger.SYSTEM_UID,
                            ILogger.SUCCESS);
 
diff --git a/base/server/cms/src/com/netscape/cms/logging/RollingLogFile.java b/base/server/cms/src/com/netscape/cms/logging/RollingLogFile.java
index fb70f46c1b337187c70715017cb9aa9fb94ec63f..5d2cdd94f2c233b7dddaff416b30f32a33f7d8d1 100644
--- a/base/server/cms/src/com/netscape/cms/logging/RollingLogFile.java
+++ b/base/server/cms/src/com/netscape/cms/logging/RollingLogFile.java
@@ -34,6 +34,7 @@ import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.common.Constants;
 import com.netscape.certsrv.common.NameValuePairs;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.ConsoleError;
 import com.netscape.certsrv.logging.ELogException;
 import com.netscape.certsrv.logging.ILogEvent;
@@ -95,9 +96,6 @@ public class RollingLogFile extends LogFile {
      */
     private Object mExpLock = new Object();
 
-    private final static String LOGGING_SIGNED_AUDIT_LOG_DELETE =
-            "LOGGING_SIGNED_AUDIT_LOG_DELETE_3";
-
     /**
      * Construct a RollingLogFile
      */
@@ -351,14 +349,14 @@ public class RollingLogFile extends LogFile {
                 if (file.exists()) {
                     // log failure in deleting an expired signed audit log file
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_LOG_DELETE,
+                                AuditEvent.AUDIT_LOG_DELETE,
                                 ILogger.SYSTEM_UID,
                                 ILogger.FAILURE,
                                 fullname);
                 } else {
                     // log success in deleting an expired signed audit log file
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_LOG_DELETE,
+                                AuditEvent.AUDIT_LOG_DELETE,
                                 ILogger.SYSTEM_UID,
                                 ILogger.SUCCESS,
                                 fullname);
diff --git a/base/server/cms/src/com/netscape/cms/profile/updater/SubsystemGroupUpdater.java b/base/server/cms/src/com/netscape/cms/profile/updater/SubsystemGroupUpdater.java
index b1da188923e2ea2a0613c7c1dd34b85bcf152f1a..2f47efad9fa10c2746364ebb8fe89dca114475c7 100644
--- a/base/server/cms/src/com/netscape/cms/profile/updater/SubsystemGroupUpdater.java
+++ b/base/server/cms/src/com/netscape/cms/profile/updater/SubsystemGroupUpdater.java
@@ -28,6 +28,7 @@ import com.netscape.certsrv.base.ConflictingOperationException;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.SessionContext;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.profile.EProfileException;
 import com.netscape.certsrv.profile.IEnrollProfile;
@@ -55,9 +56,6 @@ public class SubsystemGroupUpdater implements IProfileUpdater {
     private ILogger mSignedAuditLogger = CMS.getSignedAuditLogger();
     private Vector<String> mConfigNames = new Vector<String>();
 
-    private final static String LOGGING_SIGNED_AUDIT_CONFIG_ROLE =
-            "LOGGING_SIGNED_AUDIT_CONFIG_ROLE_3";
-
     public SubsystemGroupUpdater() {
     }
 
@@ -166,7 +164,7 @@ public class SubsystemGroupUpdater implements IProfileUpdater {
             system.addUser(user);
             CMS.debug("SubsystemGroupUpdater update: successfully add the user");
             auditMessage = CMS.getLogMessage(
-                               LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                               AuditEvent.CONFIG_ROLE,
                                auditSubjectID,
                                ILogger.SUCCESS,
                                auditParams);
@@ -196,7 +194,7 @@ public class SubsystemGroupUpdater implements IProfileUpdater {
             system.addUserCert(user);
             CMS.debug("SubsystemGroupUpdater update: successfully add the user certificate");
             auditMessage = CMS.getLogMessage(
-                               LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                               AuditEvent.CONFIG_ROLE,
                                auditSubjectID,
                                ILogger.SUCCESS,
                                auditParams);
@@ -209,7 +207,7 @@ public class SubsystemGroupUpdater implements IProfileUpdater {
         } catch (Exception e) {
             CMS.debug("UpdateSubsystemGroup: update addUser " + e.toString());
             auditMessage = CMS.getLogMessage(
-                               LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                               AuditEvent.CONFIG_ROLE,
                                auditSubjectID,
                                ILogger.FAILURE,
                                auditParams);
@@ -240,7 +238,7 @@ public class SubsystemGroupUpdater implements IProfileUpdater {
                 system.modifyGroup(group);
 
                 auditMessage = CMS.getLogMessage(
-                               LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                               AuditEvent.CONFIG_ROLE,
                                auditSubjectID,
                                ILogger.SUCCESS,
                                auditParams);
@@ -253,7 +251,7 @@ public class SubsystemGroupUpdater implements IProfileUpdater {
         } catch (Exception e) {
             CMS.debug("UpdateSubsystemGroup update: modifyGroup " + e.toString());
             auditMessage = CMS.getLogMessage(
-                               LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                               AuditEvent.CONFIG_ROLE,
                                auditSubjectID,
                                ILogger.FAILURE,
                                auditParams);
diff --git a/base/server/cms/src/com/netscape/cms/servlet/admin/ACLAdminServlet.java b/base/server/cms/src/com/netscape/cms/servlet/admin/ACLAdminServlet.java
index 1244da12c1037efe6336664c80dc2815da8ac2cd..8c5da18e41a2adaee0cfabb8329be83c9dd7cabf 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/admin/ACLAdminServlet.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/admin/ACLAdminServlet.java
@@ -38,6 +38,7 @@ import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.common.OpDef;
 import com.netscape.certsrv.common.ScopeDef;
 import com.netscape.certsrv.evaluators.IAccessEvaluator;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.ILogger;
 
 /**
@@ -55,9 +56,6 @@ public class ACLAdminServlet extends AdminServlet {
     private final static String INFO = "ACLAdminServlet";
     private IAuthzManager mAuthzMgr = null;
 
-    private final static String LOGGING_SIGNED_AUDIT_CONFIG_ACL =
-            "LOGGING_SIGNED_AUDIT_CONFIG_ACL_3";
-
     /**
      * initialize the servlet.
      * <ul>
@@ -338,7 +336,7 @@ public class ACLAdminServlet extends AdminServlet {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                            AuditEvent.CONFIG_ACL,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -363,7 +361,7 @@ public class ACLAdminServlet extends AdminServlet {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                            AuditEvent.CONFIG_ACL,
                             auditSubjectID,
                             ILogger.SUCCESS,
                             auditParams(req));
@@ -377,7 +375,7 @@ public class ACLAdminServlet extends AdminServlet {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                            AuditEvent.CONFIG_ACL,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -404,7 +402,7 @@ public class ACLAdminServlet extends AdminServlet {
         } catch (IOException eAudit2) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                        AuditEvent.CONFIG_ACL,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
@@ -502,7 +500,7 @@ public class ACLAdminServlet extends AdminServlet {
             if (type == null) {
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                            AuditEvent.CONFIG_ACL,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -544,7 +542,7 @@ public class ACLAdminServlet extends AdminServlet {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                            AuditEvent.CONFIG_ACL,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -567,7 +565,7 @@ public class ACLAdminServlet extends AdminServlet {
 
                     // store a message in the signed audit log file
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                                AuditEvent.CONFIG_ACL,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditParams(req));
@@ -587,7 +585,7 @@ public class ACLAdminServlet extends AdminServlet {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                            AuditEvent.CONFIG_ACL,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -612,7 +610,7 @@ public class ACLAdminServlet extends AdminServlet {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                            AuditEvent.CONFIG_ACL,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -635,7 +633,7 @@ public class ACLAdminServlet extends AdminServlet {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                            AuditEvent.CONFIG_ACL,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -660,7 +658,7 @@ public class ACLAdminServlet extends AdminServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                        AuditEvent.CONFIG_ACL,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditParams(req));
@@ -683,7 +681,7 @@ public class ACLAdminServlet extends AdminServlet {
         } catch (IOException eAudit2) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                        AuditEvent.CONFIG_ACL,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
@@ -741,7 +739,7 @@ public class ACLAdminServlet extends AdminServlet {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                            AuditEvent.CONFIG_ACL,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -762,7 +760,7 @@ public class ACLAdminServlet extends AdminServlet {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                            AuditEvent.CONFIG_ACL,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -797,7 +795,7 @@ public class ACLAdminServlet extends AdminServlet {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                            AuditEvent.CONFIG_ACL,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -812,7 +810,7 @@ public class ACLAdminServlet extends AdminServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                        AuditEvent.CONFIG_ACL,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditParams(req));
@@ -836,7 +834,7 @@ public class ACLAdminServlet extends AdminServlet {
         } catch (IOException eAudit2) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_ACL,
+                        AuditEvent.CONFIG_ACL,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
diff --git a/base/server/cms/src/com/netscape/cms/servlet/admin/AdminServlet.java b/base/server/cms/src/com/netscape/cms/servlet/admin/AdminServlet.java
index 0350e388b6bc6f93bf04e5bae8c732ad6ab847e6..089fcbe454e6d5fb054e62b9c6b2e9db9e8fe4a5 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/admin/AdminServlet.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/admin/AdminServlet.java
@@ -122,8 +122,6 @@ public class AdminServlet extends HttpServlet {
     public static final String CERT_ATTR =
             "javax.servlet.request.X509Certificate";
 
-    private final static String LOGGING_SIGNED_AUDIT_ROLE_ASSUME =
-            "LOGGING_SIGNED_AUDIT_ROLE_ASSUME_3";
     private final static String CERTUSERDB =
             IAuthSubsystem.CERTUSERDB_AUTHMGR_ID;
     private final static String PASSWDUSERDB =
@@ -657,7 +655,7 @@ public class AdminServlet extends HttpServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_ROLE_ASSUME,
+                        AuditEvent.ROLE_ASSUME,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditGroups(auditSubjectID));
@@ -680,7 +678,7 @@ public class AdminServlet extends HttpServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_ROLE_ASSUME,
+                        AuditEvent.ROLE_ASSUME,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditGroups(auditSubjectID));
@@ -701,7 +699,7 @@ public class AdminServlet extends HttpServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_ROLE_ASSUME,
+                        AuditEvent.ROLE_ASSUME,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditGroups(auditSubjectID));
@@ -723,7 +721,7 @@ public class AdminServlet extends HttpServlet {
 
         // store a message in the signed audit log file
         auditMessage = CMS.getLogMessage(
-                    LOGGING_SIGNED_AUDIT_ROLE_ASSUME,
+                    AuditEvent.ROLE_ASSUME,
                     auditSubjectID,
                     ILogger.SUCCESS,
                     auditGroups(auditSubjectID));
